Name:           graphem
Version:        0.3
Release:        3%{?dist}
Summary:        Mouse Gesture based Authentication Program and Screen Locker
Group:          Applications/System
License:        GPLv2+
URL:            http://graphem.berlios.de/
Source0:        http://download.berlios.de/graphem/graphem-%{version}.tar.gz
Patch0:         graphem-0.3.add-icon-to-desktopfile-00.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       qca2
BuildRequires:  qt4-devel >= 4.3 qca2-devel desktop-file-utils

%description
Graphem is a small mouse gesture based authentication program and screen
locker. Features: Key patterns are stored in hashed form; Can lock the display
until the correct pattern is entered; Can control login via scripting, e.g.
with GDM using auto-login and a PostLogin script; Touchpad mode: Accept input
without clicking; Keeps track of recognition rate

%prep
%setup -q
# patch adds icon to desktopfile
%patch0


%build
qmake-qt4
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 755 graphem $RPM_BUILD_ROOT%{_bindir}/graphem
install -Dpm 755 icon.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
#install -Dpm 644 graphem.desktop \
#    ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.png
desktop-file-install --delete-original                  \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
        --mode 0644                                     \
        graphem.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING TODO Changelog README
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Sep 6 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.3-3
- remove the vendor-tag 'fedora' from the desktop-file-install routine

* Sat Aug 15 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.3-2
- add patch which adds the graphem icon to the .desktop-file

* Sat Aug 15 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.3-1
- new upstream release
- brings Changelog, a README-file written in ReST and a .desktop-file

* Wed Jul 22 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.2-2
- update License to GPLv2+ (sorry)

* Sat Jul 18 2009 Dominic Hopf <dmaphy@fedoraproject.org> 0.2-1
- first RPM for Fedora
